
Redmine - Patch #26312

Remove duplicate notifiable require

2017-07-02 09:02 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

I noticed this recently. The require 'redmine/notifiable' at source:/trunk/lib/redmine.rb#L42 is duplicated at 

source:/trunk/lib/redmine.rb#L45. This was introduced in r10909

I'll leave a patch against trunk removing the duplicate line.

Associated revisions

Revision 16736 - 2017-07-02 09:16 - Toshi MARUYAMA

Remove duplicate notifiable require (#26312).

This duplication was introduced as part of r10909.

Contributed by Mischa The Evil.

Revision 16737 - 2017-07-02 09:18 - Toshi MARUYAMA

Merged r16736 from trunk to 3.4-stable (#26312).

Remove duplicate notifiable require.

This duplication was introduced as part of r10909.

Contributed by Mischa The Evil.

History

#1 - 2017-07-02 09:19 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (3.4.0)

Committed in trunk and 3.4-stable, thanks.

#2 - 2017-07-02 10:18 - Mischa The Evil

Toshi: thanks for the quick commit.

Files

0001-Remove-duplicate-notifiable-require.patch 713 Bytes 2017-07-02 Mischa The Evil

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine.rb#L42
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine.rb#L45
https://www.redmine.org/projects/redmine/repository/svn/revisions/10909
http://www.tcpdf.org

